Name:         	partclone
Version:      	0.3.5a
Release:      	%mkrel 1
Group:        	Archiving/Backup
URL:          	http://partclone.org
License:      	GPLv2
Summary:      	File System Clone Utilities
Source0:      	%{version}.tar.gz
BuildRequires:	ext2fs-devel
BuildRequires:  xfs-devel
BuildRequires:  ntfs-3g-devel
BuildRequires:  ncurses-devel
BuildRequires:  ncursesw-devel
BuildRequires:  libbsd-devel
BuildRequires:  uuid-devel
BuildRequires:  btrfs-devel
BuildRequires:	libblkid-devel
BuildRequires:	nilfs-utils-devel

BuildRequires:  pkgconfig(fuse)

%description
Partclone is a program similar to the well-known backup utility "Partition
Image" a.k.a partimage. Partclone provides utilities to save and restore
used blocks on a partition and is designed for higher compatibility of the
file system by using existing libraries, e.g. e2fslibs is used to read and
write the ext2 partition.

Partclone now supports ext2, ext3, ext4, hfs+, btrfs, xfs, ntfs,
fat(12/16/32), exfat, f2fs, nilfs2.

%prep
%setup -q

%build
%configure2_5x \
    --disable-rpath \
    --enable-ncursesw \
    --enable-fs-test \
    --enable-xfs \
    --enable-hfsp \
    --enable-fat \
    --enable-exfat \
    --enable-ntfs \
    --enable-btrfs \
    --enable-extfs \
    --enable-f2fs \
    --enable-nilfs2 \
    --enable-minix

%make

%install
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog NEWS README.md TODO
%{_mandir}/man8/partclone.*
%{_sbindir}/partclone.*
%{_datadir}/partclone/fail-mbr.bin


%changelog
* Mon Apr 24 2017 neoclust <neoclust> 0.3.5a-1.mga6
+ Revision: 1097243
- New version 0.3.5a - Fixes CVE-2017-6596 (mga#20594)

* Thu Aug 11 2016 luigiwalser <luigiwalser> 0.2.89-1.mga6
+ Revision: 1045561
- 0.2.89

* Wed May 18 2016 tv <tv> 0.2.88-1.mga6
+ Revision: 1016695
- BR ncursesw-devel

  + neoclust <neoclust>
    - imported package partclone

